<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxMsgModelMapper">
	<resultMap id="BaseResultMap" type="com.iformall.domain.po.WxMsgModel">
		<id column="id" jdbcType="BIGINT" property="id" />
		<result column="tenant_id" jdbcType="VARCHAR" property="tenantId" />
		<result column="name" jdbcType="VARCHAR" property="name" />
		<result column="signature" jdbcType="VARCHAR" property="signature" />
		<result column="content" jdbcType="VARCHAR" property="content" />
		<result column="createtime" jdbcType="TIMESTAMP" property="createtime" />
		<result column="status" jdbcType="INTEGER" property="status" />
		<result column="model_id" jdbcType="INTEGER" property="modelId" />

	</resultMap>

	<sql id="allColumns">
	    `id`,`tenant_id`,`name`,`signature`,`content`,`createtime`,`status`,`model_id`
	</sql>

	<sql id="dynamicWhereConditions">
		where 1 = 1

		<if test=" null != id ">
			and `id` = #{id}

		</if>

		<if test=" null != tenantId ">
			and `tenant_id`=#{tenantId}

		</if>

		<if test=" null != name and ''!= name">
			and `name` = #{name}

		</if>

		<if test=" null != signature ">
			and `signature` = #{signature}

		</if>

		<if test=" null != content ">
			and `content` = #{content}

		</if>

		<if test=" null != createtime ">
			and `createtime` = #{createtime}

		</if>

		<if test=" null != status ">
			and `status` = #{status}

		</if>
		<if test=" null != modelId">
			and `model_id` = #{modelId}

		</if>
		<if test=" null != ids ">
			and id in
			<foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
				#{idItem}
			</foreach>
		</if>
		<if test=" null != sortColumns"> order by ${sortColumns} </if>
	</sql>

	<select id="findList" parameterType="com.iformall.domain.po.WxMsgModel" resultMap="BaseResultMap">
		select <include refid="allColumns" /> from wx_msg_model
		<include refid="dynamicWhereConditions" />
	</select>

	<select id="findOneByModelId" parameterType="com.iformall.domain.po.WxMsgModel" resultMap="BaseResultMap">
		select <include refid="allColumns" /> from wx_msg_model
		where 1=1
		<if test=" null != modelId">
			and `model_id` = #{modelId}
		</if>
		<if test=" null != tenantId ">
			and `tenant_id`=#{tenantId}
		</if>
		limit 1
	</select>





</mapper>

